{% extends "layout.html" %} {% block content %}
<h1>Posts List</h1>
<a href="add/" class="btn btn-primary">Create Post</a>
<p></p>
<table class="table">
  <thead>
    <tr>
      <th>Title</th>
      <th>Body</th>
      <th>Slug</th>
      <th>Posted At</th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    {% for p in posts %}
    <tr>
      <td>{{p.title}}</td>
      <td>{{p.body}}</td>
      <td>{{p.slug}}</td>
      <td>{{p.date_posted}}</td>
      <td>
        <a href="edit/{{p.id}}" class="btn btn-warning">Edit</a>
        <a href="delete/{{p.id}}" class="btn btn-danger">Delete</a>
      </td>
    </tr>

    {% endfor %}
  </tbody>
</table>
{% endblock %}
